ISOQUERY(1)

NIMI
isoquery - erinevate ISO koodide otsingu- ja kuvamistarvik (riigikoodid, keelekoodid, jne…)

KOKKUVÕTE

isoquery [ARGUMENT …] [ISO koodid]

KIRJELDUS

See juhend kirjeldab lühidalt isoquery käsu toimimist. Seda saad kasutada iso-codes paketis leiduvate ISO standardite järgsete koodide otsimiseks ta väljundtabelina kuvamiseks. Antud tarvik otsib andmeid JSON-failidest ja näitab vastusena kõiki ISO koode või vaid seda osa, mida sa päringu argumentidena määratlesid. Lisaks saad väljundit kuvada kõikides antud andmekogus leiduvates keeltes.

VALIKUD

See programm järgib tavapärast GNU käsurea süntaksit, kus pikad argumendid algavad kahe kriipsuga ('-'). isoquery toetab järgmisi argumente/valikuid:

-i, --iso=STANDARD
    Kasutatav ISO standard. Võimalikud väärtused: 639-2, 639-3, 639-5, 3166-1, 3166-2, 3166-3, 4217, 15924 (vaikimisi: 3166-1)

-p, --pathname=ASUKOHT
    Kasuta ASUKOHTA kõikide andmefailide prefiksi jaoks (vaikimisi: /usr/share/iso-codes/json)

-l, --locale=LOKAAT
    Kasuta väljundi kuvamiseks seda LOKAATI

-n, --name
    Näidatud koodide nimi (vaikimisi)

-o, --official_name
    Sisestatud koodide ametlik nimi. Võib olla sama, kui --name argument (kehtib vaid ISO 3166-1 puhul)

-c, --common_name
    Sisestatud koodide tavanimi. Võib olla sama, kui --name argument (kehtib vaid ISO 639-2, 639-3 ja 3166-1 puhul)

-0, --null
    Eralda kirjeid reavahetuse asemel „NULL“ tähemärgiga

-f, --flag
    Näita riikide lippe koos piirkondliku tunnusega (kehtib vaid 3166-1 puhul)

-h, --help
    Näita argumentide/valikute kokkuvõtet

-v, --version
    Näita programmi versiooni ja autoriõiguste märget

NÄITED

Ilma täiendavate käsurea argumentideta kuvab isoquery tabeli kõikide ISO 3166-1 koodidega. Esimeses kolmes veerus on neljandas veerus näidatud riigi kahetäheline, kolmetäheline ja numbrikood.

    $ isoquery
    AW      ABW     533     Aruba
    […]
    ZW      ZWE     716     Zimbabwe

Kui sa vajad vaid mõne riigi andmeid, siis napima väljundi nimel võid märkida ükspuha missuguse esimeses kolmes veerus leiduva koodi.

    $ isoquery so nor 484
    SO      SOM     706     Somalia
    NO      NOR     578     Norway
    MX      MEX     484     Mexico

Kui soovid näha maanimede tõlget, siis määratle lokaat (LOCALE), milles tahad näha väljundit. Palun arvesta, et kui soovitud keeles nimi puudub, siis kuvatakse selle asemel algne ingliskeelne nimi.

    $ isoquery --locale=nl fr de es
    FR      FRA     250     Frankrijk
    DE      DEU     276     Duitsland
    ES      ESP     724     Spanje

Kui sinu terminal toetab Unicode’ist võetud riigi- ja maalippude tunnustähti, siis kasuta --flag argumenti. Sel puhul need tunnused kuvatakse lippudena.

    $ isoquery --flag --locale=nl fr de es
    FR      FRA     250     🇫🇷      Frankrijk
    DE      DEU     276     🇩🇪      Duitsland
    ES      ESP     724     🇪🇸      Spanje

Kõik ülaltoodu kehtib ka erinevate ISO-standardite puhul. Selleks saad --iso käsureavõtme abil paluda väljundit mahukamas ISO 3166-2 standardis. Sel puhul on veerud ISO 3166-2 kood, alamtüüp (osariik, provints, jne), ülemobjekt ja nimi. Kolmas veerg (ülemobjekt) võib olla ka tühi.

    $ isoquery --iso=3166-2
    AD-02   Parish          Canillo
    […]
    ZW-MW   Province        Mashonaland West

ISO 3166-1 standardist eemaldatud koodid leiduvad ISO 3166-3 standardis. Sel puhul on veerud: kolmetäheline kood, neljatäheline kood, numbrikood, kommentaar, eemaldamise kuupäev ja nimi. Numbrikoodi, kommentaari ja eemaldamise kuupäeva veerud võivad jääda ka tühjaks.

    $ isoquery --iso=3166-3
    AFI     AIDJ    262             1977    French Afars and Issas
    ANT     ANHH    532             1993-07-12      Netherlands Antilles
    […]
    YUG     YUCS    891             1993-07-28      Yugoslavia, Socialist Federal Republic of
    ZAR     ZRCD    180             1997-07-14      Zaire, Republic of

ISO 639-2 puhul kolm esimest veergu on kolmetäheline kood, bibliograafiline kood ja kahetäheline kood. Neist kaks viimast võivad olla tühjad.

    $ isoquery --iso=639-2
    aar             aa      Afar
    abk             ab      Abkhazian
    ace                     Achinese
    […]
    zun                     Zuni
    zxx                     No linguistic content; Not applicable
    zza                     Zaza; Dimili; Dimli; Kirdki; Kirmanjki; Zazaki

Kui sa vajad napimat väljundit, siis võid päringus määratleda vaid mõned koodid. Lisaks võib väljund olla tõlgitud sinu soovitud keelde.

    $ isoquery --iso=639-2 --locale=pt vi bo kl
    vie             vi      Vietnamita
    bod     tib     bo      tibetano
    kal             kl      Kalaallisut; Greenlandic

Kui soovid otsida andmeid ISO 639-3 andmekogust, siis väljundis on kolmetäheline kood, toimeala, tüüp, kahetäheline kood bibliograafia märge ja keele nimi. Nii kahetäheline kood, kui bibliograafia märge võivad olla ka tühjad.

    $ isoquery -i 639-3 aal new spa guc
    aal     I       L                       Afade
    new     I       L                       Newari
    spa     I       L       es              Spanish
    guc     I       L                       Wayuu

Saadaval on ka ISO 639-5 standardi andmed. Päringu vastusena kuvatud veerud näitavad kolmetähelist koodi ja nime.

    $ isoquery -i 639-5 aus tut
    aus     Australian languages
    tut     Altaic languages

Tõlgitud vääringute/valuutade nimesid saad ISO 4217 standardi andekogust küsida järgmisel viisil. Vastuse veerud on valuuta kolmetäheline kood, numbrikood ja valuuta nimi soovitud keeles.

    $ isoquery --iso=4217 --locale=da cad 392
    CAD     124     Canadisk dollar
    JPY     392     Yen

Kui soovid otsida tähestikke, siis selleks on olemas ISO 15924 andmekogu. Väljundis on neljatäheline kood, tähestiku numbrikood ja tähestiku nimi.

    $ isoquery --iso=15924 jpan latn 280
    Jpan    413     Japanese (alias for Han + Hiragana + Katakana)
    Latn    215     Latin
    Visp    280     Visible Speech

FAILID

Vaikimisi kasutatakse päringutele vastamiseks JSON-faile, mis leiduvad paketis iso-codes.

    • /usr/share/iso-codes/json/iso_639-2.json

    • /usr/share/iso-codes/json/iso_639-3.json

    • /usr/share/iso-codes/json/iso_639-5.json

    • /usr/share/iso-codes/json/iso_3166-1.json

    • /usr/share/iso-codes/json/iso_3166-2.json

    • /usr/share/iso-codes/json/iso_3166-3.json

    • /usr/share/iso-codes/json/iso_4217.json

    • /usr/share/iso-codes/json/iso_15924.json

AUTOR

Dr. Tobias Quathamer